DH_INSTALLINITRAMFS(1)

NOM
dh_installinitramfs – Installer les accroches (hooks) pour initramfs et configurer les scripts de maintenance

SYNOPSIS
dh_installinitramfs [options_de_debhelper] [-n]

DESCRIPTION
dh_installinitramfs est le programme de la suite debhelper chargé de l'installation des accroches (hooks) pour initramfs fournies par le paquet Debian.

Si dh_installinitramfs installe ou détecte une ou plusieurs accroches pour initramfs dans le paquet, alors il produit aussi automatiquement la commande d'action différée « noawait » d'update-initframfs nécessaire à l'interface avec le système initramfs de Debian. Cette action différée (« trigger ») est insérée dans l'empaquetage par dh_installdeb(1).

FICHIERS

debian/paquet.initramfs-hook
    Considéré comme une accroche pour initramfs qui sera installée dans usr/share/initramfs-tools/hooks/paquet dans le répertoire de construction du paquet. Consultez HOOK SCRIPTS dans initramfs-tools(8) pour plus d'information à ce sujet.

OPTIONS

-n, --no-scripts
    N'ajoutez pas l'action différée (« trigger ») update-initramfs même s'il semble que le paquet en a besoin. L'option est nommée --no-scripts pour des raisons historiques, car dh_installinitramfs générait précédemment un script du responsable qui appelait update-initramfs -u.

    Utilisez cette option, si le besoin d'interface au système update-initramfs n'est pas satisfait par l'action différée « noawait » (par exemple, parce que vous avez besoin des garanties supplémentaires et des problèmes d'une action différée « await »).

REMARQUES
Nota : Cette commande n'est pas idempotente. dh_prep(1) doit être appelé entre chaque exécution de cette commande. Sinon, il risque d'y avoir plusieurs occurrences des mêmes lignes de code ajoutées au fichier triggers.

VOIR AUSSI
debhelper(7) update-initramfs(8) initramfs-tools(8)

Ce programme fait partie de debhelper.

AUTEUR
Niels Thykier <niels@thykier.net>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».